Bug 16010 - Autoscrolling behavior of terminal not ideal
Autoscrolling behavior of terminal not ideal
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
All All
: P4 (vote)
: 6.x
Assigned To: ivan
ivan
:
Depends on: 16803
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-27 20:18 UTC by Jesse Glick
Modified: 2008-12-23 08:15 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-09-27 20:18:46 UTC
[dev sep 26] The autoscrolling behavior of the terminal emulator is
much better than that of the old Output Window. However there is a
minor annoyance. If there is a llot of output and is continuing to be
produced, and you are currently at the end, it will continue to scroll
down to keep you at the end. This is good. However if you see
something higher up that you want to look at, and scroll back up to
it, as more output is produced at the end, the displayed area scrolls
to match. This is not very useful because you are not even looking at
the end of the file and you would like the currently displayed area to
not move.
Comment 1 Jesse Glick 2001-10-22 08:43:28 UTC
#16803 might be exactly what is needed here.
Comment 2 akemr 2001-10-23 08:21:12 UTC
Reassigning to Ivan, it's his area.
Comment 3 ivan 2001-10-23 22:33:31 UTC
The problem with 16803 is that it forces a dependency from
terminalemulator to core, which is not a good idea given that
terminalemulator is a library and is intended to be useful outside 
the context of NB.
Also Term doesn't use JScrollPane so I"m not sure Gilis code would do
the right thing.

It shouldn't be hard to do though.
Comment 4 ivan 2001-11-06 02:20:35 UTC
        Added a new properties
                boolean scrollOnOutput
                boolean trackCursor
        to complement the existing scrollOnInput.
        When 'scrollOnOutput' is set to 'false', you can use the
        scrollbar to look at some text higher up w/o it moving from
        underneath you as more output is produced.

        This feasture is "smart" in the sense that if the cursor is
visible
        (i.e. the user hasn't scrolled away from the cursor) Term will
        scroll to track the cursor even if scrollOnOutput is set to
false.

        However the smarts only kick in if 'trackCursor' is set to
true.

        Adjsuted in netbeans/core/output/OutputTabTerm.java as well by
adding
        term.setScrollOnOutput( false ) etc.
Comment 5 Quality Engineering 2003-07-01 15:55:13 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified.

Comment 6 Quality Engineering 2003-07-01 16:38:04 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 7 Quality Engineering 2008-12-23 08:15:01 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo